Pi Durable Platformdocs
ReferenceAgents, threads and templates

The team's own templates, archived ones too (members; platform staff)

GET
/v1/teams/{team}/agent-templates

Path Parameters

team*string

Team slug or ID

Response Body

Templates

application/json
  1. response
data*array<>
curl -X GET 'https://agents.example.com/v1/teams/string/agent-templates'
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "slug": "assistant",      "name": "string",      "description": "string",      "teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec",      "teamSlug": "string",      "teamName": "string",      "status": "private",      "reviewNote": "string",      "archived": true,      "currentVersion": 0,      "agentCount": 0,      "revision": 0,      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}